Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.attributeSelection
Class ExhaustiveSearch

    java.lang.Object
      weka.attributeSelection.ASSearch
          weka.attributeSelection.ExhaustiveSearch

All Implemented Interfaces:
  java.io.Serializable, OptionHandler

    public class ExhaustiveSearch

extends ASSearch
implements OptionHandler

Class for performing an exhaustive search.

Valid options are:

-V
Verbose output. Output new best subsets as the search progresses.

Version:
  $Revision: 1.8.2.2 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  Serialized Form

Constructor Summary
`ExhaustiveSearch()` Constructor

Method Summary
`java.lang.String[]` | `getOptions()` Gets the current settings of RandomSearch.
`boolean` | `getVerbose()` get whether or not output is verbose
`java.lang.String` | `globalInfo()` Returns a string describing this search method
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`int[]` | `search(ASEvaluation ASEval, Instances data)` Searches the attribute subset space using an exhaustive search.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setVerbose(boolean v)` set whether or not to output new best subsets as the search proceeds
`java.lang.String` | `toString()` prints a description of the search
`java.lang.String` | `verboseTipText()` Returns the tip text for this property

Methods inherited from class weka.attributeSelection.ASSearch
`forName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExhaustiveSearch

    public ExhaustiveSearch()

  Constructor

Method Detail

### globalInfo

    public java.lang.String globalInfo()

  Returns a string describing this search method

  Returns:
    a description of the search suitable for displaying in the explorer/experimenter gui

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options. Valid options are:

  -V
  Verbose output. Output new best subsets as the search progresses.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### verboseTipText

    public java.lang.String verboseTipText()

  Returns the tip text for this property

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### setVerbose

    public void setVerbose(boolean v)

  set whether or not to output new best subsets as the search proceeds

  Parameters:
    `v` - true if output is to be verbose

### getVerbose

    public boolean getVerbose()

  get whether or not output is verbose

  Returns:
    true if output is set to verbose

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of RandomSearch.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Returns:
    an array of strings suitable for passing to setOptions()

### toString

    public java.lang.String toString()

  prints a description of the search

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a description of the search as a string

### search

    public int[] search(ASEvaluation ASEval,
                        Instances data)
                 throws java.lang.Exception

  Searches the attribute subset space using an exhaustive search.

  Specified by:
    `search` in class `ASSearch`
  Parameters:
    `ASEvaluator` - the attribute evaluator to guide the search
    `data` - the training instances.
  Returns:
    an array (not necessarily ordered) of selected attribute indexes
  Throws:
    `java.lang.Exception` - if the search can't be completed

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD